
From: "lode leroy" <lode_leroy@hotmail.com>

I would like to submit a trivial enhancement to display the ip address of
the bootserver in /proc/net/pnp

This aids me in developing a diskless linux root image to know where it
comes from...


 /dev/null           |    0 
 net/ipv4/ipconfig.c |    2 ++
 2 files changed, 2 insertions(+)

diff -puN net/ipv4/ipconfig.c~ipconfig-display-boot-server net/ipv4/ipconfig.c
--- 25/net/ipv4/ipconfig.c~ipconfig-display-boot-server	2003-07-04 03:03:51.000000000 -0700
+++ 25-akpm/net/ipv4/ipconfig.c	2003-07-04 03:04:24.000000000 -0700
@@ -1115,6 +1115,8 @@ static int pnp_get_info(char *buffer, ch
 				       "nameserver %u.%u.%u.%u\n",
 				       NIPQUAD(ic_nameservers[i]));
 	}
+	len += sprintf(buffer + len, "bootserver %u.%u.%u.%u\n",
+			NIPQUAD(ic_servaddr));
 
 	if (offset > len)
 		offset = len;
diff -puN -L net/ipv4/ipconfig.orig /dev/null /dev/null

_
